<?php
/**
 * Plugin Name:     Amazon Buy with Prime for WooCommerce
 * Plugin URI: https://qwebmaster.com/amazon-buy-with-prime-for-woocommerce/
 * Description:     Amazon Buy with Prime for WooCommerce
 * Version:         1.0.2
 * WC requires at least: 5.9
 * WC tested up to: 7.3.0
 * Author:          Qwebmaster
 * Author URI: https://qwebmaster.com
 * 
 * Copyright: © 2023 Qwebmaster
 * License:         GNU General Public License v3.0
 * License URI:     http://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:     woocommerce
 *
 * @package         main
 */

 /*
  V1.0.0
  * Initial release. 
 */

 /*
  V1.0.1
  * Added additional options to display the buy with prime button. 
 */

  /*
  V1.0.2
  * Added Settings link in WP plugin list
  * Fixed Button display logic 
 */

// Define Base Plugin Dir 
define( 'ABWP_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
define( 'ABWP_PLUGIN_DIR_URL', plugin_dir_url( __FILE__ ) );

add_action('plugins_loaded', 'abwp_plugin');
function abwp_plugin() {
    /** Admin Settings */
    require ABWP_PLUGIN_DIR_PATH . 'includes/abwp-admin.php';
    /** Admin Woocommerce */
    require ABWP_PLUGIN_DIR_PATH . 'includes/abwp-woocommerce.php';
}

add_filter( 'plugin_action_links_amazon-buy-with-prime-for-woocommerce/index.php', 'nc_settings_link' );
function nc_settings_link( $links ) {
	// Build and escape the URL.
	$url = esc_url( add_query_arg(
		'page',
		'wc-settings&tab=products&section=abwp_settings',
		get_admin_url() . 'admin.php'
	) );
	// Create the link.
	$settings_link = "<a href='$url'>" . __( 'Settings' ) . '</a>';
	// Adds the link to the end of the array.
	array_push(
		$links,
		$settings_link
	);
	return $links;
}//end nc_settings_link()

